Opened 13 years ago

Closed 11 years ago

#3079 closed defect (invalid)

Dvico card (using the cx88 driver) isn't transitioning between analog and digital properly

Reported by: anonymous Owned by: danielk
Priority: minor Milestone: unknown
Component: mythtv Version: head
Severity: low Keywords: cx88 dvico analog digital transition
Cc: Ticket locked: no

Description

I have a Dvico FusionHDTV5 Gold card that tunes analog and digital channels. It has no problems tuning analog and digital channels using mplayer. On mythtv, when you change the channel from a digital to an analog, it freezes up. If you start with a digital channel and press "C", it changes to analog and sometimes you can change the channel and sometimes not. After tuning to an analog channel and then attempting to tune back to a digital channel, it goes to fuzz and sometimes locks up and I can't recover from it unless I restart the backend.

Attachments (3)

make.log (19.9 KB) - added by mattsch@… 13 years ago.
Log of compilation errors
mythbackend.log (24.6 KB) - added by anonymous 12 years ago.
dmesg.log (26.0 KB) - added by anonymous 12 years ago.

Download all attachments as: .zip

Change History (16)

comment:1 Changed 13 years ago by mattsch@…

Also when tuning analog channels, it doesn't look as clear as it does when tuning with mplayer.

comment:2 Changed 13 years ago by mattsch@…

emerge --info Portage 2.1.2-r9 (default-linux/amd64/2006.1, gcc-4.1.1, glibc-2.4-r4, 2.6.20-gentoo x86_64) ================================================================= System uname: 2.6.20-gentoo x86_64 AMD Opteron(tm) Processor 144 Gentoo Base System release 1.12.8 Timestamp of tree: Mon, 12 Feb 2007 00:00:01 +0000 dev-java/java-config: 1.3.7, 2.0.31 dev-lang/python: 2.4.3-r4 dev-python/pycrypto: 2.0.1-r5 sys-apps/sandbox: 1.2.17 sys-devel/autoconf: 2.13, 2.61 sys-devel/automake: 1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10 sys-devel/binutils: 2.16.1-r3 sys-devel/gcc-config: 1.3.14 sys-devel/libtool: 1.5.22 virtual/os-headers: 2.6.17-r1 ACCEPT_KEYWORDS="amd64" AUTOCLEAN="yes" CBUILD="x86_64-pc-linux-gnu" CFLAGS="-march=athlon64 -O2 -pipe -fomit-frame-pointer" CHOST="x86_64-pc-linux-gnu" CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/X11/xkb /usr/share/config /var/bind" CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/gconf /etc/java-config/vms/ /etc/revdep-rebuild /etc/terminfo" CXXFLAGS="-march=athlon64 -O2 -pipe -fomit-frame-pointer" DISTDIR="/usr/portage/distfiles" FEATURES="autoconfig distlocks metadata-transfer parallel-fetch sandbox sfperms strict" GENTOO_MIRRORS="http://gentoo.mirrors.easynews.com/linux/gentoo/ http://mirror.phy.olemiss.edu/mirror/gentoo http://mirror.espri.arizona.edu/gentoo/" MAKEOPTS="-j3" PKGDIR="/usr/portage/packages" PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages" PORTAGE_TMPDIR="/var/tmp" PORTDIR="/usr/portage" PORTDIR_OVERLAY="/usr/local/portage" SYNC="rsync://rsync.gentoo.org/gentoo-portage" USE="X a52 aac alsa amd64 apache2 audiofile avi bcmath berkdb bitmap-fonts bzip2 calendar cjk clamav cli cracklib crypt ctype cups curl curlwrappers dio directfb dlloader dri dts dvb dvd dvdread emu-linux-x86 encode exif fbcon ffmpeg flac fortran ftp gd gdbm gif gmp gpm gtk gtk2 hardenedphp hash iconv id3 idn ieee1394 imagemagick imlib innodb ipv6 isdnlog ithreads java javascript jpeg jpeg2k kde lcms ldap libg++ lzo mad matroska mcal mhash midi mime mjpeg mng mp3 mp4 mpeg mplayer msession mysql mysqli ncurses network nls nptl nptlonly nsplugin nvidia ogg openal opengl osc oss pam pcntl pcre pdf pdo pear perl png posix ppds pppd python qt qt3 qt4 quicktime readline reflection samba sasl sdl seamonkey session simplexml snmp soap sockets spl sqlite ssl svg tcpd theora threads tidy tiff tokenizer transcode truetype truetype-fonts type1-fonts udev unicode urandom usb v4l v4l2 vcd vorbis wddx wxwindows xforms xine xml xml2 xorg xpm xv xvid zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" ELIBC="glibc" INPUT_DEVICES="keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" USERLAND="GNU" VIDEO_CARDS="nv nvidia vesa fbdev v4l" Unset: CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LDFLAGS, LINGUAS, PORTAGE_RSYNC_EXTRA_OPTS

comment:3 Changed 13 years ago by anonymous

This also happens on version 3 of this card, I bet this is a locking issue with the tuner resource, can't decide if the driver is the right place to "fix" this, or shared tuner usage in mythtv.

comment:4 Changed 13 years ago by paul@…

Note I have a DNTV Live pro DVB-T Hybrid card which has similar issues, when I switch between Composite and DVB-T devices, restarting backend seems to fix it mostly.

comment:5 Changed 13 years ago by danielk

Owner: changed from Isaac Richards to danielk
Priority: criticalminor
Severity: highlow
Version: 0.20head

comment:6 Changed 13 years ago by danielk

Resolution: invalid
Status: newclosed

I'm going to need the driver version you are using + a "mythbackend -v record,channel" log using SVN head, not the 20-fixes branch.

Reopen the ticket after attaching the required info.

comment:7 Changed 13 years ago by mattsch@…

Resolution: invalid
Status: closedreopened

As requested, I am enclosing the information. I unmasked the gentoo mythtv ebuild which grabs the trunk. From the looks of it, it is rev 12945. I am using kernel version 2.6.20 which uses the 0.0.6 cx88 driver (Both analog and digital tune properly using mplayer). Here's the output information for the command you specified. I'm not sure why the version number is 0.20 but I'm guessing that just hasn't been updated.

2007-04-18 21:48:05.385 Using runtime prefix = /usr 2007-04-18 21:48:05.437 New DB connection, total: 1 2007-04-18 21:48:05.446 Connected to database 'mythconverg' at host: localhost 2007-04-18 21:48:05.450 Current Schema Version: 1183 Starting up as the master server. 2007-04-18 21:48:05.458 New DB connection, total: 2 2007-04-18 21:48:05.459 Connected to database 'mythconverg' at host: localhost 2007-04-18 21:48:05.461 EITHelper: localtime offset -5:00:00 2007-04-18 21:48:05.465 TVRec(1): Start channel: 524. 2007-04-18 21:48:05.467 DVBChan(0): Opening DVB channel 2007-04-18 21:48:05.468 DVBChan(0): Using DVB card 0, with frontend 'LG Electronics LGDT3303 VSB/QAM Frontend'. 2007-04-18 21:48:05.469 New DB connection, total: 3 2007-04-18 21:48:05.470 Connected to database 'mythconverg' at host: localhost 2007-04-18 21:48:05.593 ChannelBase?(1): Input #1: 'DVBInput' schan(524) sourceid(1) ccid(1) 2007-04-18 21:48:05.593 ChannelBase?(1): Input #3: 'Television' schan(13) sourceid(1) ccid(2) 2007-04-18 21:48:05.594 ChannelBase?(1): Current Input #1: 'DVBInput' 2007-04-18 21:48:05.594 DVBChan(0): SetChannelByString?(524): 2007-04-18 21:48:05.596 DVBChan(0): 633000000 qam_256 a auto auto a a auto a v 2007-04-18 21:48:05.597 DVBChan(0): Old Params: 0 auto a auto auto a a auto a v

DVBChan(0): New Params: 633000000 qam_256 a auto auto a a auto a v

2007-04-18 21:48:05.597 DVBChan(0): Tune(): Tuning to 633000000Hz 2007-04-18 21:48:05.598 dvbchannel.cpp:wait_for_backend: Status: 2007-04-18 21:48:05.598 DVBChan(0): Tune(): Frequency tuning successful. 2007-04-18 21:48:05.598 DVBChan(0): SetChannelByString?(524): Tuned to frequency. 2007-04-18 21:48:05.598 DVBChan(0): Closing DVB channel 2007-04-18 21:48:05.606 TVRec(1): SetFlags?(RunMainLoop?,) -> RunMainLoop?, 2007-04-18 21:48:05.606 TVRec(1): ClearFlags?(ExitPlayer?,FinishRecording?,) -> RunMainLoop?, 2007-04-18 21:48:05.607 New DB scheduler connection 2007-04-18 21:48:05.608 Connected to database 'mythconverg' at host: localhost 2007-04-18 21:48:05.614 Main::Starting HttpServer? 2007-04-18 21:48:05.618 Main::Registering HttpStatus? Extension 2007-04-18 21:48:05.628 mythbackend version: 0.20.20070124-1 www.mythtv.org 2007-04-18 21:48:05.628 Enabled verbose msgs: important general record channel 2007-04-18 21:48:05.629 AutoExpire?: Found max recording rate of 138 MB/min 2007-04-18 21:48:05.631 AutoExpire?: CalcParams?(): Required Free Space: 3.0 GB w/freq: 10 min 2007-04-18 21:48:07.618 Reschedule requested for id -1. 2007-04-18 21:48:07.816 Scheduled 10 items in 0.2 = 0.17 match + 0.03 place 2007-04-18 21:48:07.819 Seem to be woken up by USER

comment:8 Changed 13 years ago by mattsch@…

I'd also like to add that at this point I am completely unable to tune analog channels. I am sure I have set up this hybrid card properly. It's a digital card with analog options set up so that it is one dvb card (DVB DTV Capture Card) with television input (analog option) set as the second part using the v4l2 driver and the analog part is detected with the correct driver (cx8800). On previous versions of myth, I set the digital and analog portions up as separate cards but as I understand that should no longer be necessary nor should it be since I'm sure it would cause recording issues. It tunes the digital channels properly and it always defaults to digital when I select watch tv. When I press "C" or try to switch to an analog channel, it just freezes up now. When I try to switch to an analog channel after I'm initially tuned into a digital channel, it shows me this text: You should have gotten a channel lock by now. You can continue to wait for a signal, or you can change the channels with Up or Down, change input's (C), capture cards (Y), etc.

comment:9 Changed 13 years ago by danielk

Resolution: invalid
Status: reopenedclosed

Matt, please retest using SVN head, not the Gentoo fork.

Also, I'm going to need you start LiveTV, wait for the digital channel to come in, then tune to the analog channel (just type in the channel number of an analog channel). Even if it fails to tune the "mythbackend -v channel,record,siparser" log will tell me a lot about what is going on. Please attach the entire log as a file, don't put it in the ticket comment.

If you can attach the dmesg output this will tell me if the driver is complaining about something.

Changed 13 years ago by mattsch@…

Attachment: make.log added

Log of compilation errors

comment:10 Changed 13 years ago by mattsch@…

Resolution: invalid
Status: closedreopened

I'm pretty sure there isn't much if any patching involved in the versions I'm using now:

*mythtv-0.21_pre12945 (19 Mar 2007)

19 Mar 2007; Doug Goldstein <cardoe@…> +mythtv-0.21_pre12945.ebuild: Added a SVN trunk ebuild (svn revision 12945) to test out the new capability of the eclass to support such ebuilds

I was using this version: 0.21_pre13285

I uninstalled that version and just did a checkout of trunk which is 13551. It looks like trunk mythtv is broken because I am unable to compile it. I am attaching the log and what I did.

Changed 12 years ago by anonymous

Attachment: mythbackend.log added

Changed 12 years ago by anonymous

Attachment: dmesg.log added

comment:11 Changed 12 years ago by mattsch@…

Is this going to be enough information now? I have been wanting to get both analog and digital tuning on this card working on mythtv for years now, I'd really like to see this work. Currently I have no problems using mplayer to tune analog and digital. Mythtv is able to tune digital fine but is completely unable to tune analog now with this card on kernel 2.6.20.

comment:12 Changed 12 years ago by mattsch@…

Still locks up when switching from digital to analog in the latest svn version.

comment:13 Changed 11 years ago by danielk

Resolution: invalid
Status: newclosed

Looks like a setup problem with channel sources. Sorry to take so long to look at this. :|

This code has been changed for multirec, it may or may not be fixed, but the logs would need to be recreated and attached to #2617 if there is still a problem.

Note: See TracTickets for help on using tickets.